<?php
class doc_union extends c_doc
{
 var $title='Пакет документов' ;
 var $PDF_page_orientation='P' ; // L P
 var $PDF_page_format='A4' ;
 var $footer_right='' ;
 var $db_report_code='' ;

 var $rec_event=array() ;
 var $rec_personal=array() ;

 var $mo_id=0 ;
 var $personal_id=0 ;
 var $arr_html_docs=array() ;

 function init($create_options=array())
 {  if ($this->filter['event_id']) $this->rec_event=EVENTS()->get_event_by_id($this->filter['event_id']) ;
    if ($this->filter['personal_id']) $this->rec_personal=PERSONAL()->get_personal_by_id($this->filter['personal_id']) ;

    if ($this->rec_personal['pkey']) $this->personal_id=$this->rec_personal['pkey'] ;
 }
 // в теле документа, стоит обработчик массива переданных документов
 // кадный документ создается как отдельный объект и сохраняется в свой файл
 function view_as_HTML($options=array())
  { $this->init() ;
    //LOGS()->reg_log('doc_union.view_as_HTML','',array('data'=>$options))  ;
    //damp_array($this->filter['docs'],1,-1) ;
    // идем по списку документов мероприятия
    if (_sizeof($this->rec_event['_ext_info']['event_docs'])) foreach($this->rec_event['_ext_info']['event_docs'] as $doc_code=>$doc_name)
    {  // генерим полноценные PDF документы с регистрацией в таблице документов
       unset($options['no_reg_doc']) ;
       $res=DOCS()->doc_create($doc_code,$this->filter,$options) ;
       // сохраняем в массиве путь к HTML искходнику документа
       $this->arr_html_docs[]=_TEMP_DIR.$res['source_doc_html'] ;
    }

    // ищем скан с последним направлением где зафиксирован диагноз, что он не здоров
	// если не передать ID скана, скан будет искаться в INIT() отчета
    $rec_scan=execSQL_van('select * from obj_site_scan where personal_id='.$this->rec_personal['pkey'].' and diagnoz!="Здоров" and not diagnoz is null order by pkey desc limit 1') ;
    //$rec_scan=execSQL_van('select * from obj_site_scan where pkey=822') ; // для теста
    if ($rec_scan['pkey'])
    {   $this->filter['scan_id']=$rec_scan['pkey'] ;
        // этот документ не будет регистрироваться в таблице документов и для него не надо создавать PDF файл
	    // создаем только HTML документ, который потом будет вставлен последним листом в пакет документов
	    $source_doc_html=DOCS()->save_doc_to_html('esmo_magnit_pmo/doc_scan_napravlenie_ag',$this->filter) ;
	    // сохраняем в массиве путь к HTML искходнику документа
                  $this->arr_html_docs[]=_TEMP_DIR.$source_doc_html ;
              }

  }

}

?>
